Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression.operators
Class AbstractQueryOperator

    java.lang.Object
      com.bea.content.expression.operators.AbstractQueryOperator

All Implemented Interfaces
  IQueryOperator

Direct Known Subclasses:
  AfterQuery, BeforeQuery, ContainsAllQuery, ContainsQuery, EqualsQuery, GreaterThanQuery, IsNullQuery, LessThanQuery, NotEqualsQuery, NotNullQuery, RangeQuery, RelatedToAllQuery, SimilarToQuery, SingleValueQuery, TextQuery

    public abstract class AbstractQueryOperator

extends Object
implements IQueryOperator

Field Summary
`protected StringBuffer` | `criteria`
`protected List<String>` | `criteriaList`
`protected FullTextSearch.Multiplicity` | `multiplicity`
`protected FullTextSearch.Parameter` | `param`
`protected static com.bea.content.repo.i18n.SearchExceptionTextFormatter` | `textFormatter`
`protected boolean` | `userProperty`
`protected String` | `userPropertyName`

Constructor Summary
`protected` | `AbstractQueryOperator()`
`protected` | `AbstractQueryOperator(FullTextSearch.Parameter param)`
`protected` | `AbstractQueryOperator(String userPropertyField)`
`protected` | `AbstractQueryOperator(String userPropertyField, FullTextSearch.Multiplicity multiplicity)`

Method Summary
`protected String` | `buildAutonomyDateString(Calendar date)`
`protected void` | `buildCriteria(Number value)`
`protected void` | `buildCriteria(Number[] values)`
`protected void` | `buildCriteria(String[] values)`
`com.bea.content.expression.FullTextQueryParameter` | `buildFTQP()`
`protected void` | `criteriaNullCheck(Object value)`
`protected abstract FullTextSearch.Operator` | `getOperator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textFormatter

    protected static final com.bea.content.repo.i18n.SearchExceptionTextFormatter textFormatter

### criteriaList

    protected List<String> criteriaList

### criteria

    protected StringBuffer criteria

### userPropertyName

    protected String userPropertyName

### userProperty

    protected boolean userProperty

### param

    protected FullTextSearch.Parameter param

### multiplicity

    protected FullTextSearch.Multiplicity multiplicity

Constructor Detail

### AbstractQueryOperator

    protected AbstractQueryOperator()

### AbstractQueryOperator

    protected AbstractQueryOperator(String userPropertyField)

### AbstractQueryOperator

    protected AbstractQueryOperator(String userPropertyField,
                                    FullTextSearch.Multiplicity multiplicity)

### AbstractQueryOperator

    protected AbstractQueryOperator(FullTextSearch.Parameter param)

Method Detail

### buildFTQP

    public com.bea.content.expression.FullTextQueryParameter buildFTQP()

  Specified by:
    `buildFTQP` in interface `IQueryOperator`

### getOperator

    protected abstract FullTextSearch.Operator getOperator()

### buildAutonomyDateString

    protected String buildAutonomyDateString(Calendar date)

### criteriaNullCheck

    protected void criteriaNullCheck(Object value)
                              throws InvalidQueryException

  Throws
    `InvalidQueryException`

### buildCriteria

    protected void buildCriteria(String[] values)
                          throws InvalidQueryException

  Throws
    `InvalidQueryException`

### buildCriteria

    protected void buildCriteria(Number value)
                          throws InvalidQueryException

  Throws
    `InvalidQueryException`

### buildCriteria

    protected void buildCriteria(Number[] values)
                          throws InvalidQueryException

  Throws
    `InvalidQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved